const system = require("../../../system");
const crypto = require('crypto');
var settings = require("../../../../config/settings");
class CenterorderService{
  constructor() {
    this.centerOrderUrl = settings.centerOrderUrl();
    this.execClient = system.getObject("util.execClient");
    this.aliclient = system.getObject("util.aliyunClient");
    this.cacheManager = system.getObject("db.common.cacheManager");
  };
  //调用center-order 
  async reqCenterOrderApi(pobj,reqUrl){
    var url = this.centerOrderUrl + "action/icapi/springBoard";
    if(reqUrl){
      var url = this.centerOrderUrl + reqUrl;
    }
    var rtn = await this.execClient.execPost(pobj, url);
    var data = JSON.parse(rtn.stdout);
    return data;
  }
  //提交公司注册方案
  async submitProgramme(pobj){
    var res = await this.reqCenterOrderApi(pobj);
    if(res && res.status==0 && res.data && res.data.needinfo && res.data.needsolution){
      var needinfo = res.data.needinfo;//需求信息
      var needsolution = res.data.needsolution;//方案信息
      //推送数据至阿
      // var bizType = pobj.actionBody.solutionContent.bizType || "";//业务类型里
      // var pushObj = {
      //   intentionBizId:needinfo.channelNeedNo,bizType:bizType,solution:ab.solutionContent.solution
      // };
      // var pushRes = await this.aliclient.reqbyget({action:"",reqbody:pushObj});
      // if(pushRes && pushRes.SolutionBizId){
      //   var reqObj2 = {
      //     actionType:"receiveProgrammeNo",
      //     actionBody:{
      //       solutionNo:needsolution.needsolution,
      //       solutionBizId:pushRes.SolutionBizId
      //     }
      //   };
      //   await this.reqCenterOrderApi(reqObj2);//保存渠道方案id
      // }
      return system.getResultSuccess();
    }
    return res;
  }
  //服务商方案作废
  async abolishProgramme(pobj){
    var res = await this.reqCenterOrderApi(pobj);
    if(res && res.status==0 && res.data && res.data.channelNeedNo){
      //推送数据至阿
      var pushObj = {
        solutionBizId:res.data.channelNeedNo,note:pobj.actionBody.note || ""
      };
      // var pushRes = await this.aliclient.reqbyget({action:"",reqbody:pushObj});
      return system.getResultSuccess();
    }
    return res;
  }
}
module.exports = CenterorderService;
