var system = require("../../../system");
var settings = require("../../../../config/settings");
const AppServiceBase = require("../../app.base");
//商标查询操作
class UtilsNeedSve extends AppServiceBase {
  constructor() {
    super();
    this.centerOrderUrl = settings.centerOrderUrl();
  }

  /**
    * 提交需求
   * @param {*} pobj 
    * @param {*} actionBody 
    */
  async submitNeed(pobj, actionBody) {
    if (!actionBody.needNo) {
      return system.getResult(null, "actionBody.needNo can not be empty，100380");
    }
    var reqUrl = this.centerOrderUrl + "action/need/springBoard";
    return await this.restPostUrl(pobj, url);
  }
  /**
  * 获取需求详情
 * @param {*} pobj 
  * @param {*} actionBody needNo 需求号
  */
  async getItemByNeedNo(pobj, actionBody) {
    if (!actionBody.needNo) {
      return system.getResult(null, "actionBody.needNo can not be empty，100380");
    }
    var reqUrl = this.centerOrderUrl + "action/need/springBoard";
    var itemResult = await this.restPostUrl(pobj, reqUrl);
    return itemResult;
  }
  /**
  * 关闭需求
 * @param {*} pobj 
  * @param {*} actionBody 
  */
  async needClose(pobj, actionBody) {
    if (!actionBody.needNo) {
      return system.getResult(null, "actionBody.needNo can not be empty，100380");
    }
    var reqUrl = this.centerOrderUrl + "action/need/springBoard";
    return await this.restPostUrl(pobj, url);
  }
}
module.exports = UtilsNeedSve;

